%define _fontdir %{_datadir}/fonts/%{name}
%define mplus_version 042
%define ipag_version 00303

Summary: mixed font with M-plus and IPA
Summary(ja): IPA と M+ フォントの合成フォント
Name: TrueType-migu
Version: 20110825
Release: 1%{?_dist_release}
License: M+ FONT LICENSE, IPA Font License v1.0
Group: User Interface/X
URL: http://mix-mplus-ipa.sourceforge.jp/
Source0: http://sourceforge.jp/projects/mix-mplus-ipa/downloads/53034/Migu-1C-%{version}.zip
Source1: http://sourceforge.jp/projects/mix-mplus-ipa/downloads/53034/Migu-1M-%{version}.zip
Source2: http://sourceforge.jp/projects/mix-mplus-ipa/downloads/53034/Migu-1P-%{version}.zip

BuildRequires: unzip

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     munepi, kudoh

%description
Migu is a mixed font with M-plus and IPA. 
It is based on MigMix. 


%description -l ja
Migu は M+ と IPA の合成フォントです。
MigMix フォントを元にいくつかの改変がされています。

%package doc
Summary: Migu font documents
Summary(ja): Migu フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Migu fonts
includes enduser license.

%description -l ja doc
このパッケージには Migu フォントのライセンスを含む
ドキュメント類が含まれています。

%prep
%setup -q -c -n %{name}-%{version} -a 1 -a 2

%build

%install
%__rm -rf $RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT%{_fontdir}
%__cp -a Migu-1{C,M,P}-%{version}/Migu-*.ttf $RPM_BUILD_ROOT%{_fontdir}/

%clean
%__rm -rf $RPM_BUILD_ROOT

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%defattr(-,root,root,-)
%{_fontdir}/Migu-1C-bold.ttf
%{_fontdir}/Migu-1C-regular.ttf
%{_fontdir}/Migu-1M-bold.ttf
%{_fontdir}/Migu-1M-regular.ttf
%{_fontdir}/Migu-1P-bold.ttf
%{_fontdir}/Migu-1P-regular.ttf

%files doc
%defattr(-,root,root,-)
%doc Migu-1C-%{version}/Migu-README.txt
%doc Migu-1C-%{version}/mplus-TESTFLIGHT-%{mplus_version}
%doc Migu-1C-%{version}/ipag%{ipag_version}

%changelog
* Sun Aug 28 2011 Munehiro Yamamoto <munepi@vinelinux.org> 20110825-1
- new upstream release
- addes doc subpackage

* Sun Jun  5 2011 Munehiro Yamamoto <munepi@vinelinux.org> 20110514-1
- Initial build.
